<template>
  <div class="resource">
    <resource-option @reset="handleReset" @query="handleQuery"></resource-option>
    <resource-table ref="table" />
  </div>
</template>

<script>
import ResourceOption from './component/ResourceOption.vue'
import ResourceTable from './component/ResourceTable.vue'

export default {
  components: {
    ResourceOption,
    ResourceTable
  },
  methods: {
    handleReset() {
      this.$refs.table.resetForm()
    },
    handleQuery(data, tag_id) {
      this.$refs.table.resetForm(data, tag_id)
    }
  }
}
</script>

<style lang="scss">
  .resource {
    .option .el-select .el-input__inner {
      padding-right: 15px;
    }
  }
</style>
